読者です 読者をやめる 読者になる 読者になる

Masa / Lino Blog

Masanori Satoh ( Masa / Lino ) の徒然ブログです

Eclipse 3.4でEclipse 3.3以前のソフトウェア更新を使う

Eclipse

Eclipse 3.4 Gamymedeではソフトウェア更新(Software Update)機能が刷新されています。
ただ、なんとなく不安定だったり、構成の管理を使いたかったりしたときに困ります。


以下の手順でEclipse3.3以前のソフトウェア更新が使えます。
Eclipseの設定から実行できるパターンと.configure配下のファイルを書き換える方法の2つがあります。

Eclipseの設定から変更

[Window(ウィンドウ)] - [Preferences(設定)]から[General(一般)] - [Capabilites(機能)] - [Classic Update]にチェック
このパターンはEclipse ClassicとかRCP/Pluginはこちらからいけます。
どうもEclipse SDKが入っていれば、設定できる?

.configure配下のファイルを書き換える

WORKSPACE/.metadata/.plugins/org.eclipse.core.runtime/.settings/org.eclipse.ui.workbench.prefs
上記ファイルの行末に下記一文を追加します。

UIActivities.org.eclipse.equinox.p2.ui.sdk.classicUpdate=true

うまくいくとこんな感じになります


Software Updateが2つ…